## pure-ffi-0.16.tar.gz

=== Makefile ===

# Package name and version number:
dist = pure-ffi-$(version)
version = 0.16

# compiler flags -- these can be overridden from the command line if needed,
# as well as CPPFLAGS, LDFLAGS and LIBS
CFLAGS = -O3
#CFLAGS = -g -O2

# platform-specific setup

DLL         = $(shell pkg-config pure --variable DLL)
PIC         = $(shell pkg-config pure --variable PIC)
shared      = $(shell pkg-config pure --variable shared)

prefix      = $(shell pkg-config pure --variable prefix)
bindir      = $(prefix)/bin
libdir      = $(shell pkg-config pure --variable libdir)

ifeq ($(DLL),.dylib)
dllname = -install_name "$(libdir)/pure/$@"
endif

ifeq ($(DLL),.dll)
LDFLAGS = -Wl,--enable-auto-import
endif

MOD_CFLAGS  = $(PIC) $(shell pkg-config pure --cflags) $(CFLAGS) $(CPPFLAGS)
MOD_LDFLAGS = $(shell pkg-config pure --libs) $(LDFLAGS) $(LIBS)

# How to find the libffi includes.
FFI_CFLAGS = $(shell pkg-config libffi --cflags)
MOD_CFLAGS += $(FFI_CFLAGS)

DISTFILES = COPYING COPYING.LESSER Makefile README debian/* \
examples/*.pure ffi.c ffi.pure
SEDFILES = README

all: ffi$(DLL)

ffi$(DLL): ffi.c
	$(CC) $(shared) $(dllname) -o $@ $(MOD_CFLAGS) $< $(MOD_LDFLAGS) -lffi -lgmp

clean:
	rm -f *$(DLL) *~ *.a *.o

install:
	test -d "$(DESTDIR)$(libdir)/pure" || mkdir -p "$(DESTDIR)$(libdir)/pure"
	cp ffi.pure ffi$(DLL) "$(DESTDIR)$(libdir)/pure"

uninstall:
	rm -f "$(DESTDIR)$(libdir)/pure/ffi.pure" "$(DESTDIR)$(libdir)/pure/ffi$(DLL)"

date = $(shell date "+%B %-d, %Y")
datesubst = sed -e "s?@version@?$(version)?g" -e "s?|today|?$(date)?g" < $(1) > $(2)

dist:
	rm -rf $(dist)
	mkdir $(dist) && mkdir $(dist)/debian && mkdir $(dist)/examples
	for x in $(DISTFILES); do ln -sf $$PWD/$$x $(dist)/$$x; done
	for x in $(SEDFILES); do rm -f $(dist)/$$x; $(call datesubst,$$PWD/$$x,$(dist)/$$x); done
	rm -f $(dist).tar.gz
	tar cfzh $(dist).tar.gz $(dist)
	rm -rf $(dist)

distcheck: dist
	tar xfz $(dist).tar.gz
	cd $(dist) && make && make install DESTDIR=./BUILD
	rm -rf $(dist)

debsrc = $(shell echo $(dist) | sed -e 's/-$(version)/_$(version)/').orig.tar.gz

deb: $(debsrc) dist
	tar xfz $(dist).tar.gz
	cd $(dist) && debuild $(DEBUILD_FLAGS)
	rm -rf $(dist)

$(debsrc):
	wget -nv https://github.com/agraef/pure-lang/releases/download/$(dist)/$(dist).tar.gz -O $@

=== debian/changelog ===
pure-ffi (0.15-1) bionic; urgency=medium

  * New release

 -- Albert Graef <aggraef@gmail.com>  Wed, 11 Apr 2018 17:24:55 +0200

pure-ffi (0.14-1) trusty; urgency=low

  * New upstream release

 -- Albert Graef <aggraef@gmail.com>  Fri, 12 Sep 2014 13:13:34 +0200

pure-ffi (0.13-2) natty; urgency=low

  * Add examples

 -- Albert Graef <Dr.Graef@t-online.de>  Wed, 23 May 2012 07:05:05 +0200

pure-ffi (0.13-1) natty; urgency=low

  * Initial release

 -- Albert Graef <Dr.Graef@t-online.de>  Wed, 23 May 2012 00:14:33 +0200

=== debian/control ===
Source: pure-ffi
Section: devel
Priority: extra
Maintainer: Albert Graef <aggraef@gmail.com>
Build-Depends: debhelper (>= 7.0.50~), pure-dev, libffi-dev
Standards-Version: 3.9.1
Homepage: http://purelang.bitbucket.org

Package: pure-ffi
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: FFI interface for the Pure programming language
 Pure is a modern-style functional programming language based on term
 rewriting. This module provides an interface to libffi which enables you to
 call C functions from Pure and vice versa. It goes beyond Pure's built-in C
 interface in that it also handles C structs and makes Pure functions callable
 from C.

=== debian/watch ===
# Example watch control file for uscan
# Rename this file to "watch" and then you can run the "uscan" command
# to check for upstream updates and more.
# See uscan(1) for format

# Compulsory line, this is a version 3 file
version=3

https://bitbucket.org/purelang/pure-lang/downloads/pure-ffi-(.*)\.tar\.gz
